Subject: How do I restore rusted steel wheels?

From: [email-masked] (Dave Williams)
Date: 7 Feb 94 07:42:00 GMT

-> Do any of you netters have any ideas as to how I should go about
-> cleaning these up and making them usable again? I am also concerned
-> about safety. The welds and centers look ok. But, the rust/pitting
-> looks bad.

 Use a wire wheel and four favorite rust dissolver, then a good smooth
coat of epoxy.  Your local hobby supply place can fix you up with all
sorts of epoxy.

 You might see if the wheels from a Mini will fit.  The British and
Japanese shared a lot of technology back in the '60s.

 Good luck with your car!  I always liked the Honda 600.